<div style="margin-top: 20px;">
    <div class="container">
        <div class="row">
            <div class="form-diagnose-wrapper justify-content-md-center row">
                <div class="form-diagnose col-sm-4">
                    <button class="btn btn-next btn-primary">Next Customer</button>
                    <input type="text" class="form-control">
                    <div class="row action-button">
                        <div class="col-sm-6">
                            <button class="btn">Cancel Service</button>
                        </div>
                        <div class="col-sm-6">
                            <button class="btn btn-primary" [routerLink]="['../work-order-new']">Start Diagnose</button>
                        </div>
                    </div>
                </div>
            </div>
            <h5>
                <span jhiTranslate="mpmApp.bookingListView.home.title">Booking List Views</span>
            </h5>
            <p-dataTable
                [value]="bookingListViews"
                [editable]="true"
                [rows]="itemsPerPage"
                [paginator]="true"
                [pageLinks]="5"
                [rowsPerPageOptions]="[10,15,20]"
                [totalRecords]="totalItems"
                [responsive]="true"
                [lazy]="true"
                dataKey="idBooking"
                expandableRows="false"
                (onLazyLoad)="loadDataLazy($event)"
                (onEditComplete)="updateRowData($event)">
                <p-column header="{{'mpmApp.bookingListView.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.bookingListView.bookingNumber'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.bookingNumber}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.bookingListView.vehicleNumber'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.vehicleNumber}}
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.bookingListView.dateCreate'|translate}}" [style]="{'width': '150px'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                            {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}}
                    </ng-template>
                </p-column>
                <!--p-column header="{{'mpmApp.bookingListView.customer'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.customerId">
                            <a [routerLink]="['../personal-customer', rowData.customerId  ]" >{{rowData.customerId}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.bookingListView.vehicle'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.vehicleId">
                            <a [routerLink]="['../vehicle', rowData.vehicleId  ]" >{{rowData.vehicleId}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.bookingListView.slot'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.slotId">
                            <a [routerLink]="['../booking-slot', rowData.slotId  ]" >{{rowData.slotSlotNumber}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.bookingListView.bookingType'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.bookingTypeId">
                            <a [routerLink]="['../booking-type', rowData.bookingTypeId  ]" >{{rowData.bookingTypeDescription}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.bookingListView.eventType'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.eventTypeId">
                            <a [routerLink]="['../event-type', rowData.eventTypeId  ]" >{{rowData.eventTypeDescription}}</a>
                        </div>
                    </ng-template>
                </p-column>
                <p-column header="{{'mpmApp.bookingListView.internal'|translate}}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.internalId">
                            <a [routerLink]="['../internal', rowData.internalId  ]" >{{rowData.internalId}}</a>
                        </div>
                    </ng-template>
                </p-column-->
                <p-column header="{{'mpmApp.bookingListView.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="submit"
                                (click)="delete(rowData.idBooking)" 
                                icon="fa-ban"
                                class="flat-button"
                                [style]="{'height':'50px'}">
                        </button>
                        <button pButton type="submit"
                                [routerLink]="['../booking-list-view/'+ rowData.idBooking + '/edit']"
                                icon="fa-phone"
                                class="flat-button">
                        </button>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>

<p-dialog [(visible)]="cancelConfirmation" responsive="true" width="400" modal="true">
    <p-header>
        Konfirmasi
    </p-header>

    <div class="row">
        <div class="col-md-12">
            <p>Apakah Anda yakin untuk Batal Service Nomor Antrian <span>B0005</span> atas nama Sutanto.</p>
            <p>Daftar Konsumen akan hilang dari antrian dipanggil SA.</p>         
        </div>        
    </div>

    <p-footer>
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="cancelConfirmation = !cancelConfirmation" >
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="button" class="btn btn-primary">
            <span class="fa fa-check"></span>&nbsp;<span>Ok</span>
        </button>
    </p-footer>
</p-dialog>